Package org.apache.sling.commons.crypto

# Interface SaltProvider

All Known Implementing Classes:
  `SecureRandomSaltProvider`

@ProviderType public interface SaltProvider
Provider of salts to use for example with password-based encryption (PBE).

See Also:
  - `PBEKeySpec`

## Method Summary

Modifier and Type
Method
Description
`byte @NotNull []`
`getSalt()`
Provides the salt.

## Method Details

### getSalt

byte @NotNull [] getSalt()
Provides the salt.

Returns:
  The salt